%global npm_name colors
%global enable_tests 0

%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%{?scl:
%define _use_internal_dependency_generator 0
%define __find_requires %{_rpmconfigdir}/%{scl_prefix}require.sh
%define __find_provides %{_rpmconfigdir}/%{scl_prefix}provide.sh}

Summary:       get colors in your node.js console
Name:          %{?scl_prefix}nodejs-%{npm_name}
Version:       0.6.2
Release:       2%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://github.com/Marak/colors.js
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: %{?scl_prefix}nodejs-devel
BuildArch:     noarch

%description
get color and style in your node.js console ( and browser )
like what

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr colors.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc ReadMe.md MIT-LICENSE.txt example.html example.js
%{nodejs_sitelib}/%{npm_name}

%changelog
* Fri Aug 30 2013 Troy Dawson <tdawson@redhat.com> - 0.6.2-2
- Add support for software collections

* Fri Aug 30 2013 Troy Dawson <tdawson@redhat.com> - 0.6.2-1
- Update to latest version

* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.6.2-1
- Initial build using tchor spec template
- The real version number is 0.6.0-1, but that breaks things
